# Cookiebanner

{% hint style="danger" %} <mark style="color:red;">**Outdated!**</mark>
{% endhint %}

## TYPO3 <a href="#typo3" id="typo3"></a>

### Version 1 (Extension) <a href="#version-1-extension" id="version-1-extension"></a>

You can use my Extension its in [TYPO3 TER](https://extensions.typo3.org/extension/cookiebanner/) and its called [cookiebanner](https://extensions.typo3.org/extension/cookiebanner/)

The Documentation can be found [here](https://github.com/Thejuse/cookiebanner/wiki/Get-Started)

***

### Version 2 (Template) <a href="#version-2-template" id="version-2-template"></a>

#### TypoScript

{% code lineNumbers="true" %}

```typoscript
page.headerData.20 = TEXT
page.headerData.20.value (
    #Insert CookieCode There
)
```

{% endcode %}

#### DemoCode

{% code lineNumbers="true" %}

```typoscript
page.headerData.20 = TEXT
page.headerData.20.value (
    <link rel="stylesheet" type="text/css" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>
    <script>
        window.addEventListener("load", function(){
        window.cookieconsent.initialise({
        "palette": {
        "popup": {
        "background": "#780c0d",
        "text": "#ffffff"
        },
        "button": {
        "background": "#ffffff",
        "text": "#780c0d"
        }
        },
        "content": {
        "message": "Diese Webseite verwendet Cookies, um die Bedienfreundlichkeit zu erhöhen.",
        "dismiss": "OK",
        "link": "Mehr erfahren",
        "href": "/impressum/"
        }
        })});
    </script>
)
```

{% endcode %}

***

### StaticCode

{% code lineNumbers="true" %}

```html
<link rel="stylesheet" type="text/css" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />
<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>
<script>
    window.addEventListener("load", function(){
    window.cookieconsent.initialise({
    "palette": {
    "popup": {
    "background": "#000"
    },
    "button": {
    "background": "#f1d600"
    }
    }
    })});
</script>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.jseidl.at/typo3/cookiebanner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
